summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAmy Winston <amynka@gentoo.org>2016-02-26 21:40:27 +0100
committerAmy Winston <amynka@gentoo.org>2016-02-26 21:40:27 +0100
commitbbf7ae487ae87da584b70295909aec0367bde9d9 (patch)
treeda6c00dce46d9046808ddad973c62a914102e9dc /app-cdr/dvdisaster
parentdev-python/django-tagging: Bmp (diff)
downloadgentoo-bbf7ae487ae87da584b70295909aec0367bde9d9.tar.gz
gentoo-bbf7ae487ae87da584b70295909aec0367bde9d9.tar.bz2
gentoo-bbf7ae487ae87da584b70295909aec0367bde9d9.zip
app-cdr/dvdisaster: version bump 0.79.5 bug #493916
Package-Manager: portage-2.2.26
Diffstat (limited to 'app-cdr/dvdisaster')
-rw-r--r--app-cdr/dvdisaster/Manifest1
-rw-r--r--app-cdr/dvdisaster/dvdisaster-0.79.5.ebuild76
2 files changed, 77 insertions, 0 deletions
diff --git a/app-cdr/dvdisaster/Manifest b/app-cdr/dvdisaster/Manifest
index fe29ad2df0a..714cd4b1827 100644
--- a/app-cdr/dvdisaster/Manifest
+++ b/app-cdr/dvdisaster/Manifest
@@ -1 +1,2 @@
+DIST dvdisaster-0.79.5.tar.bz2 8224726 SHA256 9c4c53d9e67855eb04ef87b7525045b4c5b34a9e782c44615dac3ba1a2950f39 SHA512 8630d4389983307afc3faa5b4256f531ded370f84ec35d4a363853dc7d79e5e15ee0b81bf64f4b88f57fe6176537df8195f83acf23e770d991c700b7408dd1f5 WHIRLPOOL 85884422bb76bac52ba02e1d0b6be80458875e79d631d580554a47e5b47aebdadbb93cf2470d2db90f9e332d4318bcd85a52ec5ebc9991ccf4da31017886e7fd
DIST dvdisaster_0.72.4.orig.tar.bz2 5097738 SHA256 444763bc40bcc8c396ecd7af0d5d6dd8c458009d4ed62af74ef54074541aa05e SHA512 aa0a9f3040d45b16a9117b2b6756d2423cf55db4a00e8314a164f6dc32863cd4e5a5b5ec009a56782aa2afe6031e3a32954014101abc67291428e9edea1b5272 WHIRLPOOL 888b9643e4102e4c7f237b336bbead60fd02833357775f586766672ea182ce680615a74f9547cf015b3e0edb269fe905a4dd5f28cbf765f3c7f114e097736208
diff --git a/app-cdr/dvdisaster/dvdisaster-0.79.5.ebuild b/app-cdr/dvdisaster/dvdisaster-0.79.5.ebuild
new file mode 100644
index 00000000000..4236bf6d7b0
--- /dev/null
+++ b/app-cdr/dvdisaster/dvdisaster-0.79.5.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils gnome2-utils toolchain-funcs
+
+DESCRIPTION="Tool for creating error correction data (ecc) for optical media (DVD, CD, BD)"
+HOMEPAGE="http://dvdisaster.net/"
+SRC_URI="http://dvdisaster.net/downloads/${PN}-${PV}.tar.bz2"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="debug nls"
+
+dvdi_langs="cs de it pt_BR ru sv"
+for dvdi_lang in ${dvdi_langs}; do
+ IUSE+=" linguas_${dvdi_lang}"
+done
+unset dvdi_lang
+
+RDEPEND=">=dev-libs/glib-2.32
+ nls? ( virtual/libintl )
+ >=x11-libs/gtk+-2.6:2
+ x11-libs/gdk-pixbuf"
+DEPEND="${RDEPEND}
+ nls? ( sys-devel/gettext )
+ virtual/os-headers
+ virtual/pkgconfig"
+
+src_configure() {
+ ./configure \
+ --prefix=/usr \
+ --bindir=/usr/bin \
+ --mandir=/usr/share/man \
+ --docdir=/usr/share/doc \
+ --docsubdir=${PF} \
+ --localedir=/usr/share/locale \
+ --buildroot="${D}" \
+ --with-nls=$(usex nls) \
+ --with-memdebug=$(usex debug) || die
+}
+
+src_compile() {
+ emake $(use nls && echo -j1) CC="$(tc-getCC)"
+}
+
+src_install() {
+ emake install
+ dodoc CHANGELOG CREDITS.en README* TODO *HOWTO
+
+ newicon contrib/${PN}48.png ${PN}.png
+ make_desktop_entry ${PN} ${PN} ${PN} 'System;Utility'
+
+ local res
+ for res in 16 32 48 64; do
+ newicon -s ${res} contrib/${PN}${res}.png ${PN}.png
+ done
+
+ local dest="${D}"usr/share
+
+ local dvdi_lang
+ for dvdi_lang in ${dvdi_langs}; do
+ use linguas_${dvdi_lang} || rm -rf \
+ ${dest}/doc/${PF}/${dvdi_lang} \
+ ${dest}/doc/${PF}/CREDITS.${dvdi_lang} \
+ ${dest}/man/${dvdi_lang}
+ done
+
+ rm -f "${D}"usr/bin/*-uninstall.sh
+}
+
+pkg_preinst() { gnome2_icon_savelist; }
+pkg_postinst() { gnome2_icon_cache_update; }
+pkg_postrm() { gnome2_icon_cache_update; }